<?php
/*
Plugin Name: Hide Erase Button
Description: Hides the Erase Button on single record editors 
Version: 1.00
Requires at least: 3.01
Author: Djulia
Author URI: https://www.interactivetools.com/iforum/
License : Freeware
*/

// modify list buttons right
addFilter('adminUI_args', function($adminUI_args, $tableName, $action) {
	global $schema;

	if (@$schema['menuType'] !== 'single') { return $adminUI_args; }

	if (isset($adminUI_args['BUTTONS'])) {
		$indexErase = array_search('Erase', array_column($adminUI_args['BUTTONS'], 'name'));
		if (@$indexErase) { 
			unset($adminUI_args['BUTTONS'][$indexErase]);
		}
	} 
	return $adminUI_args;
});
